Class | Bio::Blast::WU::Report::Iteration
In: | lib/bio/appl/blast/wublast.rb
Parent: | Default::Report::Iteration

Iteration class for WU-BLAST report. Though WU-BLAST does not iterate like PSI-BLAST, Bio::Blast::WU::Report::Iteration aims to keep compatibility with Bio::Blast::Default::Report::* classes. It may contain some Bio::Blast::WU::Report::Hit objects. Because it inherits Bio::Blast::Default::Report::Iteration, please also refer Bio::Blast::Default::Report::Iteration.

### Methods

new warnings

### Public Class methods

new(data)

Creates a new Iteration object. It is designed to be called only internally from the Bio::Blast::WU::Report class. Users shall not use the method directly.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 319
    319:           def initialize(data)
    320:             @f0stat = []
    321:             @f0dbstat = Default::Report::AlwaysNil.instance
    322:             @f0hitlist = []
    323:             @hits = []
    324:             @num = 1
    325:             @f0message = []
    326:             @f0warnings = []
    327:             return unless r = data.first
    328:             return if /\AParameters\:$/ =~ r
    329:             return if /\AEXIT CODE *\d+/ =~ r
    330:             @f0hitlist << data.shift
    331:             return unless r = data.shift
    332:             unless /\*{3} +NONE +\*{3}/ =~ r then
    333:               @f0hitlist << r
    334:               while r = data.first and /^WARNING\: / =~ r
    335:                 @f0warnings << data.shift
    336:               end
    337:               while r = data.first and /^\>/ =~ r
    338:                 @hits << Hit.new(data)
    339:               end
    340:             end #unless
    341:           end

### Public Instance methods

warnings()

Returns warning messages.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 344
    344:           def warnings
    345:             @f0warnings
    346:           end

[Validate]